## AnjutaSerializer

AnjutaSerializer — Data serializer

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/anjuta-serializer.h>

    enum                AnjutaSerializerMode;
                        AnjutaSerializer;
                        AnjutaSerializerPrivate;
                        AnjutaSerializerClass;
    AnjutaSerializer *  anjuta_serializer_new               (const gchar *filepath,
                                                             AnjutaSerializerMode mode);
    gboolean            anjuta_serializer_write_int         (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gint value);
    gboolean            anjuta_serializer_write_float       (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gfloat value);
    gboolean            anjuta_serializer_write_string      (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             const gchar *value);
    gboolean            anjuta_serializer_read_int          (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gint *value);
    gboolean            anjuta_serializer_read_float        (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gfloat *value);
    gboolean            anjuta_serializer_read_string       (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gchar **value,
                                                             gboolean replace);

## Object Hierarchy

      GObject
       +----AnjutaSerializer

## Properties

      "filepath"                 gchar*                : Read / Write / Construct Only
      "mode"                     AnjutaSerializerMode  : Read / Write / Construct Only

## Description

## Details

### enum AnjutaSerializerMode

    typedef enum
    {
    	ANJUTA_SERIALIZER_READ,
    	ANJUTA_SERIALIZER_WRITE
    } AnjutaSerializerMode;

### AnjutaSerializer

    typedef struct _AnjutaSerializer AnjutaSerializer;

### AnjutaSerializerPrivate

    typedef struct _AnjutaSerializerPrivate AnjutaSerializerPrivate;

### AnjutaSerializerClass

    typedef struct {
    	GObjectClass parent_class;
    } AnjutaSerializerClass;

### anjuta_serializer_new ()

    AnjutaSerializer *  anjuta_serializer_new               (const gchar *filepath,
                                                             AnjutaSerializerMode mode);

`filepath` : |
`mode` : |
Returns : |

### anjuta_serializer_write_int ()

    gboolean            anjuta_serializer_write_int         (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gint value);

`serializer` : |
`name` : |
`value` : |
Returns : |

### anjuta_serializer_write_float ()

    gboolean            anjuta_serializer_write_float       (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gfloat value);

`serializer` : |
`name` : |
`value` : |
Returns : |

### anjuta_serializer_write_string ()

    gboolean            anjuta_serializer_write_string      (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             const gchar *value);

`serializer` : |
`name` : |
`value` : |
Returns : |

### anjuta_serializer_read_int ()

    gboolean            anjuta_serializer_read_int          (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gint *value);

`serializer` : |
`name` : |
`value` : |
Returns : |

### anjuta_serializer_read_float ()

    gboolean            anjuta_serializer_read_float        (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gfloat *value);

`serializer` : |
`name` : |
`value` : |
Returns : |

### anjuta_serializer_read_string ()

    gboolean            anjuta_serializer_read_string       (AnjutaSerializer *serializer,
                                                             const gchar *name,
                                                             gchar **value,
                                                             gboolean replace);

`serializer` : |
`name` : |
`value` : |
`replace` : |
Returns : |

## Property Details

### The `"filepath"` property

      "filepath"                 gchar*                : Read / Write / Construct Only

Used to store and retrieve the streamtranslateable.

Default value: NULL

### The `"mode"` property

      "mode"                     AnjutaSerializerMode  : Read / Write / Construct Only

Used to decide read or write operation.

Default value: ANJUTA_SERIALIZER_READ